Page MenuHomePhabricator

Add a #pagetriage revision tag to wikilove edits made using PageTriage
Closed, ResolvedPublic

Description

Steps to reproduce:
Send a wikilove message using PageTriage

Actual result:
PageTriage isn't tagged (though WikiLove is)

Expected result:
Both are tagged

See also T226789: Add a #pagetriage revision tag to every edit made by the PageTriage extension

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Good catch.

I think we may be limited by the fact that the WikiLove API does not support custom tags (https://www.mediawiki.org/wiki/Extension:WikiLove#API_Documentation).

kostajh added a project: patch-welcome.
kostajh added a subscriber: kostajh.

Growth-Team won't have time to work on this in the short-to-medium term, but patches are welcome.

DannyS712 changed the task status from Open to Stalled.Oct 28 2019, 5:50 AM
DannyS712 claimed this task.

Awaiting ability to include tags, see subtask

DannyS712 triaged this task as Medium priority.Oct 31 2019, 5:05 AM
DannyS712 changed the task status from Stalled to Open.Nov 26 2019, 11:55 AM

Awaiting ability to include tags, see subtask

The api now accepts tags, but the api is called from the wikilove module, and page triage's only interaction with the module is calling $.wikiLove.openDialog( recipients ); - there isn't a parameter there for tags. I'll need a bit to figure out how it can be passed

Change 559278 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/WikiLove@master] Add support for passing tags to api via $.wikiLove.openDialog

https://gerrit.wikimedia.org/r/559278

Growth-Team won't have time to work on this in the short-to-medium term, but patches are welcome.

https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/WikiLove/+/559278/ will take care of half of the equation (accepting tags on wikilove's end) and then I'll write a patch to send the tags when using pagetriage. Can Growth-Team please review the patch?

Change 559278 merged by jenkins-bot:
[mediawiki/extensions/WikiLove@master] Add support for passing tags to api via $.wikiLove.openDialog

https://gerrit.wikimedia.org/r/559278

Change 593883 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/PageTriage@master] Ensure wikilove edits made via pagetriage are also tagged as pagetriage

https://gerrit.wikimedia.org/r/593883

Change 593883 merged by jenkins-bot:

[mediawiki/extensions/PageTriage@master] Ensure wikilove edits made via pagetriage are also tagged as `pagetriage`

https://gerrit.wikimedia.org/r/593883

MPGuy2824 moved this task from Waiting for enwiki deploy to Done on the PageTriage board.